Bug 59075 - REGRESSION (r64817): Korean encoding alias KSC5601 does not work
Summary: REGRESSION (r64817): Korean encoding alias KSC5601 does not work
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Alexey Proskuryakov
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2011-04-20 22:25 PDT by Alexey Proskuryakov
Modified: 2011-04-28 17:43 PDT (History)
5 users (show)

See Also:


Attachments
proposed fix (4.54 KB, patch)
2011-04-20 22:30 PDT, Alexey Proskuryakov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Proskuryakov 2011-04-20 22:25:19 PDT
Steps to reproduce:

1. Go to http://cafe.naver.com/appleiphone
2. Select "전체글보기" below orange rectangle on the left side.

Results: all Korean text is broken in an iframe at the right (unless you have your default encoding set to Korean).

<rdar://problem/9303233>
Comment 1 Alexey Proskuryakov 2011-04-20 22:30:02 PDT
Created attachment 90494 [details]
proposed fix
Comment 2 WebKit Commit Bot 2011-04-21 00:04:12 PDT
Comment on attachment 90494 [details]
proposed fix

Clearing flags on attachment: 90494

Committed r84473: <http://trac.webkit.org/changeset/84473>
Comment 3 WebKit Commit Bot 2011-04-21 00:04:17 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 WebKit Review Bot 2011-04-21 01:04:27 PDT
http://trac.webkit.org/changeset/84473 might have broken Leopard Intel Debug (Tests)
Comment 5 Darin Adler 2011-04-28 17:37:27 PDT
What made this regress?
Comment 6 Alexey Proskuryakov 2011-04-28 17:43:06 PDT
Bug 43554 (where we stopped ignoring non-alphanumeric characters in alias names).